
CoCoA-5 - Support #439

CoCoA website: download pages and installing instructions
Status: Closed Start date: 08 Feb 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 3.01 hours

Target version: CoCoA-5.2.2 Spent time: 2.75 hours

Description

[20140208] Tony reported that he found the website quite difficult to navigate, and felt it did not explain clearly precisely what one

must do to install CoCoA on a Microsoft machine -- indeed I believe he failed to make a working installation!

Review the website; perhaps simplify the main page?

Related issues:

Related to CoCoA-5 - Support #322: Installation instructions (on website) In Progress 26 Feb 2013

Related to CoCoALib - Support #467: Keep CoCoALib web page up to date!  All p... Closed 12 Mar 2014

History

#1 - 10 Feb 2014 12:04 - John Abbott

I wonder if a friendly industrial designer would be able to help. :-)

#2 - 19 Feb 2014 11:32 - John Abbott

Tony should be here in a couple of weeks; maybe we could ask him to help improve the design of the website (by giving more or less immediate

feedback).

We could also try to make a small list of web sites whose design we like, so we can use them as inspiration...

#3 - 22 Feb 2014 11:35 - John Abbott

- % Done changed from 0 to 10

Some points to clarify on the website:

what to download and do for a completely new installation (CoCoA+emacs)

ditto for the GUI

what to do to upgrade an existing installation (emacs/GUI -- 2 cases)

what to do to upgrade emacs

The freedom of choice between Emacs or GUI makes it harder for the user; do we even give advice to the ignorant user who does not know how to

choose between them?

I wonder if we can make a "tarball" containing both CoCoA and emacs: technically it should be not be too hard, might there be some legal problem?

Note we shall soon have lots of student guinea-pigs :-)
#4 - 13 Mar 2014 12:35 - Anna Maria Bigatti

- Subject changed from CoCoA website to CoCoA website: download pages

I made an "older versions" page.

Now the download pages show only the latest version.

#5 - 28 Apr 2017 11:21 - Anna Maria Bigatti

- Tracker changed from Bug to Support

- Project changed from CoCoA to CoCoA-5

- Category changed from Web to Manual/documentation

- Target version set to CoCoA-5.2.2

This issue was under "CoCoA" instead of "CoCoALib".

I'm recovering these old and forgotten issues, so we reconsider them.

#6 - 11 Dec 2017 18:07 - Anna Maria Bigatti

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 70

I keep installing cocoa for our students.  The instructions are actually simple and complete.

Maybe we could add screenshots, but I need a MSWindows in English for doing it.

There are problems in Windows for .tgz

Now the program for unzipping is no longer preinstalled.  We should give indications on what to download for unzipping.

#7 - 11 Dec 2017 18:07 - Anna Maria Bigatti

- Subject changed from CoCoA website: download pages to CoCoA website: download pages and installing instructions

#8 - 11 Dec 2017 18:14 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

- Estimated time set to 3.01 h

The pages have changed a lot, and the comments here are vague.

There are more specific issues now, so I close this.
